#!/bin/bash
# Example Bar Action Script for Linux.
# Requires: acpi,lm_sensors,
# 

hostname="${HOSTNAME:-${hostname:-$(hostname)}}"

##############################
#	    CPU
##############################
cpu() {
	  read cpu a b c previdle rest < /proc/stat
	    prevtotal=$((a+b+c+previdle))
	      sleep 0.5
	        read cpu a b c idle rest < /proc/stat
		  total=$((a+b+c+idle))
		    cpu=$((100*( (total-prevtotal) - (idle-previdle) ) / (total-prevtotal) ))
            echo "CPU: $cpu%"
	      }

##############################
#	    Temp
############################## paste <
temp() {
	       
	temp=`paste <(cat /sys/class/thermal/thermal_zone*/temp) | column -s $'\t' -t | sed 's/\(.\)..$/.\1°C/'` 
	echo "TEMP: $temp"
 }
	      
##############################
#	    RAM
##############################
mem() {
used="$(free | grep Mem: | awk '{print $3}')"
total="$(free | grep Mem: | awk '{print $2}')"
human="$(free -h | grep Mem: | awk '{print $3}' | sed s/i//g)"

ram="$(( 200 * $used/$total - 100 * $used/$total ))% ($human) "

echo "RAM: $ram"
}

##############################
#	    VOLUME
##############################
vol() {
    vol=`amixer get Master | awk -F'[][]' 'END{ print $4":"$2 }' | sed 's/on://g'`
    echo -e "VOL: $vol"
}

##############################
#	    DATE
############################## 
#dateinfo() {
#    echo "$(date "+%b %d %Y (%a)")"
#    echo -e "$dateinfo"
#}

##############################
#	    CLOCK
############################## +@fg=1; $(dateicon) +@fg=0; $(dateinfo)\ 

clockinfo() {
    clockinfo=$(date "+%H:%M:%S")
    echo -e "$clockinfo"
}

SLEEP_SEC=1
#loops forever outputting a line every SLEEP_SEC secs
# echo "$(cpu) | $temp | $(mem) | $(vol) | $(dateinfo) $(clockinfo)"

while :; do
   echo "  +@fg=5; ◀+@bg=3;+@fg=1; $(cpu) +@fg=4; ◀+@bg=2;+@fg=1; $(temp) +@fg=6; ◀+@bg=4;+@fg=1; $(mem) +@fg=7; ◀+@bg=5;+@fg=1; $(vol) +@fg=8; ◀+@bg=6;+@fg=1; $(clockinfo) +@fg=1; ◀+@bg=0;+@fg=1;"
	
sleep $SLEEP_SEC

done
